### File

`packages/eui-dynamic-forms-ui/src/lib/components/array-field/raw-array-container/raw-array-container.component.ts`

### Extends

`BaseArrayComponent`

### Implements

`OnInit` `OnDestroy`

### Metadata

selector | `ux-dyn-raw-array-container`
styleUrls | `./raw-array-container.component.scss`
templateUrl | `./raw-array-container.component.html`

### Index

###### Properties
arrayData columns dataForDynArray dataType inputs selectedIndex arrayName Optional dynFormArray dynFormArrayConfig Optional formMultiStore Optional formState Optional childrenConfig context Optional dynFormApi Optional fieldId Optional frameId Optional genericService Optional globalStore isEditMode Optional parent Optional parentData Optional setId Optional childrenConfig context Optional dynFormApi Optional fieldId Optional frameId Optional genericService Optional globalStore isEditMode Optional parent Optional parentData Optional setId
###### Methods
addItem onClick removeItem addToFormArray bindDataToControl removeAtFormArray setValuesByControl getDynFormApi getFieldData saveFieldData getDynFormApi getFieldData saveFieldData

### Constructor

`constructor(config)`
Parameters :
Name | Optional
config | No

### Methods

addItem
`addItem(insertAt: number, notUser?: boolean)`
Parameters :
Name | Type | Optional
insertAt | `number` | No
notUser | `boolean` | Yes
Returns : `void`

onClick
`onClick(index)`
Parameters :
Name | Optional
index | No
Returns : `void`

removeItem
`removeItem(index)`
Parameters :
Name | Optional
index | No
Returns : `void`

addToFormArray
`addToFormArray(config?: UxDynFormModel, index?: number)`
Parameters :
Name | Type | Optional
config | `UxDynFormModel` | Yes
index | `number` | Yes
Returns : `void`

bindDataToControl
`bindDataToControl(data: Observable)`
Parameters :
Name | Type | Optional
data | `Observable<any>` | No
Returns : `void`

removeAtFormArray
`removeAtFormArray(index)`
Parameters :
Name | Optional
index | No
Returns : `void`

setValuesByControl
`setValuesByControl(newValues: Array)`
Parameters :
Name | Type | Optional
newValues | `Array<any>` | No
Returns : `void`

getDynFormApi
`getDynFormApi()`
Returns : `any`

getFieldData
`getFieldData(key: string)`
Parameters :
Name | Type | Optional
key | `string` | No
Returns : `Observable<any>`

saveFieldData
`saveFieldData(key: string, val: any)`
Parameters :
Name | Type | Optional
key | `string` | No
val | `any` | No
Returns : `void`

getDynFormApi
`getDynFormApi()`
Returns : `any`

getFieldData
`getFieldData(key: string)`
Parameters :
Name | Type | Optional
key | `string` | No
Returns : `Observable<any>`

saveFieldData
`saveFieldData(key: string, val: any)`
Parameters :
Name | Type | Optional
key | `string` | No
val | `any` | No
Returns : `void`

### Properties

arrayData
Type : `Array<any>`

columns
Type : `Array<string>`

dataForDynArray
Type : `UxDynFormArrayParentData`
Default value : `{ index: 0 }`

dataType
Type : `"flat" | "object"`

inputs
Type : `RawArrayContainerComponentInputs`

selectedIndex
Type : `number`
Default value : `0`

arrayName
Type : `string`

Optional dynFormArray
Type : `FormArray`

dynFormArrayConfig
Type : `UxDynFormModel`

Optional formMultiStore
Type : `IsolatedMultiReduxHelper`

Optional formState
Type : `Observable<FormState>`

Optional childrenConfig
Type : `UxDynFormModelArray`

context
Type : `FieldContext`

Optional dynFormApi
Type : `DynFormApi`

Optional fieldId
Type : `string`

Optional frameId
Type : `string`

Optional genericService
Type : `DynGenericService`

Optional globalStore
Type : `Store<any>`

isEditMode
Type : `boolean`

Optional parent
Type : `FormGroup | FormArray`

Optional parentData
Type : `UxDynFormArrayParentData`

Optional setId
Type : `string`

Optional childrenConfig
Type : `UxDynFormModelArray`

context
Type : `FieldContext`

Optional dynFormApi
Type : `DynFormApi`

Optional fieldId
Type : `string`

Optional frameId
Type : `string`

Optional genericService
Type : `DynGenericService`

Optional globalStore
Type : `Store<any>`

isEditMode
Type : `boolean`

Optional parent
Type : `FormGroup | FormArray`

Optional parentData
Type : `UxDynFormArrayParentData`

Optional setId
Type : `string`

# result-matching ""

# No results matching ""